aboutsummaryrefslogtreecommitdiffstats
path: root/systems/ubuntu/14.04/build_base_machine.sh
diff options
context:
space:
mode:
Diffstat (limited to 'systems/ubuntu/14.04/build_base_machine.sh')
-rwxr-xr-xsystems/ubuntu/14.04/build_base_machine.sh104
1 files changed, 60 insertions, 44 deletions
diff --git a/systems/ubuntu/14.04/build_base_machine.sh b/systems/ubuntu/14.04/build_base_machine.sh
index 4e8a129c..119bca22 100755
--- a/systems/ubuntu/14.04/build_base_machine.sh
+++ b/systems/ubuntu/14.04/build_base_machine.sh
@@ -1,8 +1,5 @@
#!/bin/bash
-#
-# Build a base machine for Ubuntu 14.04
-#
-# Copyright 2015 OPNFV, Intel Corporation.
+# Copyright 2016-2017 OPNFV
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -15,45 +12,64 @@
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
-#
-# Contributors:
-# Aihua Li, Huawei Technologies.
-# Martin Klozik, Intel Corporation.
-# Abdul Halim, Intel Corporation.
-
-apt-get update
-apt-get -y install $(echo "
-# Make and Compilers
-make
-automake
-gcc
-g++
-libc6
-libc6-dev
-
-# Linux Kernel Source
-linux-source
-linux-headers-$(uname -r)
-pkg-config
+set -eux
+apt-get -y install build-essential dh-autoreconf fakeroot devscripts dpkg-dev git wget
-# tools
-curl
-libcurl4-openssl-dev
-automake
-autoconf
-libtool
-libpcap-dev
-libnet1
-libncurses5-dev
-vim
-wget
-git
-pciutils
-cifs-utils
-socat
-libpixman-1-0
-libpixman-1-dev
+apt-get -y install \
+ debhelper dpkg-dev po-debconf dh-systemd dh-strip-nondeterminism \
+ bison flex autotools-dev libltdl-dev pkg-config \
+ iptables-dev \
+ javahelper \
+ libatasmart-dev \
+ libcap-dev \
+ libcurl4-gnutls-dev \
+ libdbi0-dev \
+ libesmtp-dev \
+ libganglia1-dev \
+ libgcrypt11-dev \
+ libglib2.0-dev \
+ libgps-dev \
+ libhiredis-dev \
+ libi2c-dev \
+ libldap2-dev \
+ liblua5.3-dev \
+ liblvm2-dev \
+ libmemcached-dev \
+ libmodbus-dev \
+ libmnl-dev \
+ libmosquitto-dev \
+ libmysqlclient-dev \
+ libnotify-dev \
+ libopenipmi-dev \
+ liboping-dev \
+ libow-dev \
+ libpcap0.8-dev \
+ libpcap-dev\
+ libperl-dev \
+ libpq-dev \
+ libprotobuf-c-dev \
+ libriemann-client-dev \
+ librdkafka-dev \
+ librabbitmq-dev \
+ librrd-dev \
+ libsensors4-dev \
+ libsigrok-dev \
+ libsnmp-dev \
+ libsnmp9-dev \
+ perl \
+ libtokyocabinet-dev \
+ libtokyotyrant-dev \
+ libudev-dev \
+ libupsclient-dev \
+ libvarnishapi-dev \
+ libvirt-dev \
+ libxen-dev \
+ libxml2-dev \
+ libyajl-dev \
+ linux-libc-dev \
+ default-jdk \
+ protobuf-c-compiler \
+ python-dev \
+ openvswitch-switch \
+ mcelog
-# install git-review tool
-git-review
-" | grep -v ^#)